# $Revision: 1.8 $, $Date: 2002/04/11 14:16:10 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	RawIP
Summary:	Net-RawIP perl module
Summary(pl):	Modu perla Net-RawIP
Name:		perl-Net-RawIP
Version:	0.09d
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net-RawIP Perl extension to manipulate raw IP packets.

%description -l pl
Net-RawIP - wsparcie do manipulacji surowymi pakietami IP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitearch}/Net/RawIP.pm
%dir %{perl_sitearch}/auto/Net/RawIP
%{perl_sitearch}/auto/Net/RawIP/RawIP.bs
%attr(755,root,root) %{perl_sitearch}/auto/Net/RawIP/RawIP.so
%{perl_sitearch}/auto/Net/RawIP/autosplit.ix
%{_mandir}/man?/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-RawIP.spec,v $
Revision 1.8  2002/04/11 14:16:10  qboosh
- fixed file list (unwanted dirs, wrong perms), release 4

Revision 1.7  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.4  2002/02/10 15:29:41  depesz
adapterized

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/17 01:53:29  kloczek
- cosmetics.

Revision 1.1  2002/01/17 00:14:33  undefine
- initial pld version.
